/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.tutorial.stateless.client;



import java.util.Properties;

import javax.naming.Context;
import javax.naming.InitialContext;


import trail.slsb.LocalRemoteCalculator;
import trail.slsb.RemoteCalculator;


public class Client
{
   public static void main(String[] args) throws Exception
   {
      // Store a reference to the calculator interface
      RemoteCalculator calculator = null;

      
        
        InitialContext ctx = new InitialContext();
        
        // Look up a remote interface to a calculator EJB
        System.out.println("Obtaining a reference to a remote CalculatorBean EJB");
        Object object =ctx.lookup("EJB3Trail/RemoteCalculator");
        calculator = (RemoteCalculator) object;
      
      if (calculator != null)
      {
        System.out.println("[Client] calculate(1,1,1,1) = " + calculator.calculate(1,1,1,1));
        System.out.println("[Client] calculate(2,2,2,2) = " + calculator.calculate(2,2,2,2));
        System.out.println("[Client] calculate(3,3,3,3) = " + calculator.calculate(3,3,3,3));
        System.out.println("[Client] getServerInfo = " + ((RemoteCalculator)calculator).getServerInfo());
      }
   }
}
